#pragma once
#include <wx/wx.h>
#include <wx/dialog.h>

class SplashDialog : public wxDialog {
public:
    SplashDialog(wxWindow* parent);

private:
    void OnOK(wxCommandEvent&);
    void OnPaint(wxPaintEvent&);
    void OnKeyDown(wxKeyEvent&);

    wxBitmap  m_bitmap;
    wxButton* m_btnOK = nullptr;

    static constexpr int kImgW = 900;
    static constexpr int kImgH = 600;

    wxDECLARE_EVENT_TABLE();
};
